Users

Get following

GET /v1/users/{screen_name}/following reads 2 credits

Accounts it follows, newest first.

Query parameters

Query parameterTypeMeaning
countint 1–100 = 50Requested page size; X treats it as a hint
cursorstringFrom the previous page's next_cursor

response

The account, a page of user references, and a cursor. Field by field: User reference.

Status: 200, 404, 429, 502

request
curl https://api.xsignalfeed.com/v1/users/elonmusk/following?count=50 \
  -H "Authorization: Bearer xsf_your_key"
response · 200 / 404
{
  "user": {
    "id": "44196397",
    "screen_name": "elonmusk"
  },
  "users": [
    {
      "id": "1",
      "screen_name": "jordanbpeterson",
      "name": "Dr Jordan B Peterson"
    },
    {
      "…": "…"
    }
  ],
  "next_cursor": "1870789372997279023|1234"
}